%define ver     2.0.4

Summary: 	LSB Build environment lsbcc package
Name: 		lsb-build-cc
Version: 	%ver
Release: 	1mdk
License: 	LGPL
Group: 		Development/C
Source: 	ftp://ftp.freestandards.org/pub/lsb/lsbdev/released-2.0.0/lsb-build-cc-%ver.tar.bz2
Patch0:         lsb-build-cc-fhs.patch.bz2
URL:		http://www.linuxbase.org/build
BuildRoot: 	%{_tmppath}/%{name}-%{version}-buildroot
Requires: 	lsb-build-base
Obsoletes: 	lsbdev-cc
Provides:	lsbdev-cc

%description

This package provides lsbcc, which is one of the approaches that can be used
to build LSB conforming applications.

%prep
%setup -q
%patch0 -p1 -b .fhs

%build
make LSBVERSION=${RPM_PACKAGE_VERSION} LSBLIBCHK_VERSION=${RPM_PACKAGE_VERSION}-${RPM_PACKAGE_RELEASE} BASE_PATH=%{_prefix}

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std INSTALL_ROOT=$RPM_BUILD_ROOT%{_prefix} MANDIR=share/man

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README Licence
%{_bindir}/lsbcc
%{_bindir}/lsbc++
%{_mandir}/man1/lsbcc.1*
%{_mandir}/man1/lsbc++.1*

%changelog
* Thu Aug 26 2004 Stew Benedict <sbenedict@mandrakesoft.com> 2.0.4-1mdk
- 2.0.4

* Mon Jul 26 2004 Stew Benedict <sbenedict@mandrakesoft.com> 2.0.3-1mdk
- First Mandrakelinux packaging, move out of /opt (patch0)
- man pages to correct dir
- use doc macro, License, add URL

* Thu Jun 27 2002 Christopher Yeoh <cyeoh@samba.org>
- Mods for autobuild

* Thu Jun 20 2002 Christopher Yeoh <cyeoh@samba.org>
- Initial package

